{ pkgs, lib, ... }:
let
  # TODO: We should figure out a way of passing the secrets map at runtime instead of build time.
  # for now this map just needs to include every secret we could need, which also makes the reading of secrets take way longer than
  # needed.
  secrets = import ./secrets-map.nix;
  wrappedScript = pkgs.khscodes.instance-opentofu;
in
lib.khscodes.mkBwEnv {
  inherit pkgs;
  name = "bw-opentofu";
  items = secrets;
  exe = lib.getExe wrappedScript;
}
